Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.util
Interface JposProperties.Prop

All Superinterfaces:
  Comparable

All Known Implementing Classes:
  DefaultProperties.Prop

Enclosing class:
  JposProperties

public static interface JposProperties.Prop
extends Comparable

Simple wrapper class for a property pair

Since:
  1.3 (Washington DC 2001)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Method Summary
`int` | `compareTo(JposProperties.Prop other)`
`int` | `compareTo(java.lang.Object other)` Compares this and other arguments for order
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String s)` Sets the value of this property
`void` | `setValue(java.lang.String s)` Sets the value of this property

Methods inherited from interface jpos.util.Comparable
`equals`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this property

### getValue

    public java.lang.String getValue()

  Returns:
    the value of this property

### setName

    public void setName(java.lang.String s)

  Sets the value of this property
  Parameters:
    `s` - the new prop name

### setValue

    public void setValue(java.lang.String s)

  Sets the value of this property
  Parameters:
    `s` - the name String

### compareTo

    public int compareTo(JposProperties.Prop other)

  Parameters:
    `other` - the other object to compare against this
  Returns:
    0 if 2 objects same -1 if this is less or +1 if this is more than other

### compareTo

    public int compareTo(java.lang.Object other)

  Description copied from interface: `Comparable`
  Compares this and other arguments for order
  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `other` - the other object to compare against this
  Returns:
    0 if 2 objects same -1 if this is less or +1 if this is more than other

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details